For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.functions.get_namespace(
namespace_id="fn-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
)
Returns JSONRaises HttpResponseError
Description
Gets the namespace details for the given namespace UUID. To get namespace details, send a GET request to /v2/functions/namespaces/{namespace_id} with no parameters.
Parameters
namespace_id string required
The ID of the namespace to be managed.
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
resp = client.functions.get_namespace(namespace_id="aff93af3")
Response Example
Show Response Example
{
"namespace": {
"api_host": "https://api_host.io",
"namespace": "fn-xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"created_at": "2022-09-14T04:16:45Z",
"updated_at": "2022-09-14T04:16:45Z",
"label": "my namespace",
"region": "nyc1",
"uuid": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"key": "d1zcd455h01mqjfs4s2eaewyejehi5f2uj4etqq3h7cera8iwkub6xg5of1wdde2"
}
}
See /v2/functions/namespaces/{namespace_id} in the API reference for additional detail on responses, headers, parameters, and more.